Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/CQPSearchEngine.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/CQPSearchEngine.java	(revision 1037)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/CQPSearchEngine.java	(revision 1038)
@@ -15,7 +15,7 @@
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.importer.cwb.PatchCwbRegistry;
 import org.txm.libs.cqp.CQPLibPreferences;
-import org.txm.objects.Base;
+import org.txm.objects.Project;
 import org.txm.searchengine.core.SearchEngine;
 import org.txm.searchengine.cqp.clientExceptions.ServerNotFoundException;
 import org.txm.searchengine.cqp.corpus.CorpusManager;
@@ -64,8 +64,8 @@
 
 		String reg_path = ""; // new way that concats registry of loaded corpus
 		String path_separator = System.getProperty("path.separator");
-		for (Base b : Toolbox.workspace.getProject("default").getBases()) {
-			File binDir = b.getBaseDirectory();
+		for (Project b : Toolbox.workspace.getProjects()) {
+			File binDir = b.getProjectDirectory();
 			File registryDir = new File(binDir, "registry");
 			reg_path += path_separator + registryDir.getAbsolutePath();
 			File[] files = registryDir.listFiles();
@@ -200,7 +200,7 @@
 
 		// initialize pre-configured subcorpus and partition of corpus registered in the default.xml workspace file
 		System.out.print(TXMCoreMessages.Toolbox_workspace_init);
-		for (Base b : Toolbox.workspace.getProject("default").getBases()) {
+		for (Project b : Toolbox.workspace.getProjects()) {
 			
 			Log.info("Loading CQP corpora of " + b.getName() + " corpus...");
 			
@@ -214,10 +214,10 @@
 		return state;
 	}
 
-	public boolean loadCQPCorpora(Base base, IProgressMonitor monitor) {
+	public boolean loadCQPCorpora(Project base, IProgressMonitor monitor) {
 		//System.out.println("Load corpus from params: "+params.corpora);
-		for (String corpusname : base.getBaseParameters().corpora.keySet()) {
-			Element c = base.getBaseParameters().corpora.get(corpusname);
+		for (String corpusname : base.getProjectParameters().corpora.keySet()) {
+			Element c = base.getProjectParameters().corpora.get(corpusname);
 			try {
 				MainCorpus corp = CorpusManager.getCorpusManager().getCorpus(corpusname);
 				if (monitor != null) {
Index: tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/functions/selection/Selection.java
===================================================================
--- tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/functions/selection/Selection.java	(revision 1037)
+++ tmp/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/core/functions/selection/Selection.java	(revision 1038)
@@ -115,7 +115,7 @@
 	 */
 	private boolean init() {
 		try {
-			if (corpus.getBase() == null) {
+			if (corpus.getProject() == null) {
 				System.out.println(TXMCoreMessages.Selection_6+corpus+TXMCoreMessages.Selection_7);
 				return false;
 			}
Index: tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/views/RVariablesView.java
===================================================================
--- tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/views/RVariablesView.java	(revision 1037)
+++ tmp/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/views/RVariablesView.java	(revision 1038)
@@ -60,7 +60,7 @@
 import org.eclipse.ui.part.ViewPart;
 import org.txm.Toolbox;
 import org.txm.core.results.TXMResult;
-import org.txm.objects.Base;
+import org.txm.objects.Project;
 import org.txm.rcp.IImageKeys;
 import org.txm.rcp.commands.R.CopySelection;
 import org.txm.rcp.handlers.files.EditFile;
@@ -449,9 +449,9 @@
 		 */
 		@Override
 		public Object[] getElements(Object element) {
-			Collection<Base> input = (Collection<Base>) element;
+			Collection<Project> input = (Collection<Project>) element;
 			Object[] objects = new Object[input.size()];
-			Iterator<Base> it = input.iterator();
+			Iterator<Project> it = input.iterator();
 			int i = 0;
 			while (it.hasNext()) {
 				objects[i] = it.next();
Index: tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/RecodeCorpus.java
===================================================================
--- tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/RecodeCorpus.java	(revision 1037)
+++ tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/commands/RecodeCorpus.java	(revision 1038)
@@ -107,7 +107,7 @@
 		// update corpus indexes and edition
 		String txmhome = Toolbox.getTxmHomePath();
 
-		BaseParameters params = corpus.getBase().getBaseParameters();
+		BaseParameters params = corpus.getProject().getProjectParameters();
 		params.getKeyValueParameters().put(ImportKeys.MULTITHREAD, "false"); //too soon
 		params.getKeyValueParameters().put(ImportKeys.DEBUG, Log.getLevel().intValue() < Level.WARNING.intValue()); // need debug for experimental stuff
 		params.getKeyValueParameters().put(ImportKeys.UPDATECORPUS, "true");
Index: tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/handlers/Apply.java
===================================================================
--- tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/handlers/Apply.java	(revision 1037)
+++ tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/handlers/Apply.java	(revision 1038)
@@ -65,7 +65,7 @@
 	
 	public static void apply(Corpus corpus, final File model, final String[] properties, final String[] options) {
 		final MainCorpus mainCorpus = corpus.getMainCorpus();
-		final File corpusBinaryDirectory = mainCorpus.getBaseDirectory();
+		final File corpusBinaryDirectory = mainCorpus.getProjectDirectory();
 		final File txmDirectory = new File(corpusBinaryDirectory, "txm/"+mainCorpus.getName());
 		
 		if (!txmDirectory.exists()) {
Index: tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/handlers/LemmaProjection.java
===================================================================
--- tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/handlers/LemmaProjection.java	(revision 1037)
+++ tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/handlers/LemmaProjection.java	(revision 1038)
@@ -93,7 +93,7 @@
 	public static void apply(final Corpus corpus, final File dictionary, final File extrarules, final String posproperty, 
 			final String targetproperty, final LinkedHashSet<String> formAsLemmaPosList, final LinkedHashSet<String> sourceprioritylist) {
 		final MainCorpus mainCorpus = corpus.getMainCorpus();
-		final File corpusBinaryDirectory = mainCorpus.getBaseDirectory();
+		final File corpusBinaryDirectory = mainCorpus.getProjectDirectory();
 		final File txmDirectory = new File(corpusBinaryDirectory, "txm/"+mainCorpus.getName());
 
 		if (!txmDirectory.exists()) {
@@ -256,7 +256,7 @@
 					// update corpus indexes and edition
 					//					String txmhome = Toolbox.getTxmHomePath();
 					//
-					//					BaseParameters params = corpus.getBase().getBaseParameters();
+					//					BaseParameters params = corpus.getProject().getProjectParameters();
 					//					params.getKeyValueParameters().put(ImportKeys.MULTITHREAD, "false"); //too soon
 					//					params.getKeyValueParameters().put(ImportKeys.DEBUG, Log.getLevel().intValue() < Level.WARNING.intValue()); // need debug for experimental stuff
 					//					params.getKeyValueParameters().put(ImportKeys.UPDATECORPUS, "true");
Index: tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/handlers/RemoveProperties.java
===================================================================
--- tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/handlers/RemoveProperties.java	(revision 1037)
+++ tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/handlers/RemoveProperties.java	(revision 1038)
@@ -74,7 +74,7 @@
 
 	public static void apply(final Corpus corpus, final HashSet<String> propertiesSet) {
 		final MainCorpus mainCorpus = corpus.getMainCorpus();
-		final File corpusBinaryDirectory = mainCorpus.getBaseDirectory();
+		final File corpusBinaryDirectory = mainCorpus.getProjectDirectory();
 		final File txmDirectory = new File(corpusBinaryDirectory, "txm/"+mainCorpus.getName());
 
 		if (!txmDirectory.exists()) {
Index: tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/handlers/Train.java
===================================================================
--- tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/handlers/Train.java	(revision 1037)
+++ tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/handlers/Train.java	(revision 1038)
@@ -105,7 +105,7 @@
 				try {
 					File lexique2 = lexique;
 					MainCorpus mainCorpus = corpus.getMainCorpus();
-					File corpusBinaryDirectory = mainCorpus.getBaseDirectory();
+					File corpusBinaryDirectory = mainCorpus.getProjectDirectory();
 					
 					System.out.println("TRAIN : "+corpus+" with "+lexique2+" to create "+model+ " with properties "+Arrays.toString(properties));
 
@@ -126,7 +126,7 @@
 					Property lemma = corpus.getProperty(properties[1]);
 					
 					// Prepare temporary directory
-					File treetaggerSrcDirectory = new File(mainCorpus.getBaseDirectory(), "treetagger");
+					File treetaggerSrcDirectory = new File(mainCorpus.getProjectDirectory(), "treetagger");
 					DeleteDir.deleteDirectory(treetaggerSrcDirectory);
 					treetaggerSrcDirectory.mkdirs();
 					
Index: tmp/org.txm.analec.rcp/src/org/txm/macro/analec/export/ExportAsMacro.groovy
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/macro/analec/export/ExportAsMacro.groovy	(revision 1037)
+++ tmp/org.txm.analec.rcp/src/org/txm/macro/analec/export/ExportAsMacro.groovy	(revision 1038)
@@ -51,7 +51,7 @@
 	return false
 }
 
-File binDirectory = mainCorpus.getBaseDirectory()
+File binDirectory = mainCorpus.getProjectDirectory()
 String binName = binDirectory.getName()
 
 
Index: tmp/org.txm.analec.rcp/src/org/txm/analec/AnalecCorpora.java
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/analec/AnalecCorpora.java	(revision 1037)
+++ tmp/org.txm.analec.rcp/src/org/txm/analec/AnalecCorpora.java	(revision 1038)
@@ -27,8 +27,8 @@
 	 * @return the Corpus loaded and stored
 	 */
 	public static Corpus getCorpus(MainCorpus mcorpus) {
-		File fichierCorpus = new File(mcorpus.getBaseDirectory(), "analec/"+mcorpus+".ec"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
-		File fichierVue = new File(mcorpus.getBaseDirectory(), "analec/"+mcorpus+".ecv");
+		File fichierCorpus = new File(mcorpus.getProjectDirectory(), "analec/"+mcorpus+".ec"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+		File fichierVue = new File(mcorpus.getProjectDirectory(), "analec/"+mcorpus+".ecv");
 		Corpus corpus = null;
 		if (AnalecCorpora.corpora.containsKey(mcorpus)) {
 			corpus = AnalecCorpora.corpora.get(mcorpus);
@@ -110,7 +110,7 @@
 	public static boolean saveCorpus(MainCorpus mcorpus) {
 		Corpus corpus = getCorpus(mcorpus);
 		Vue vue = getVue(mcorpus);
-		File dir = new File(mcorpus.getBaseDirectory(), "analec/"); //$NON-NLS-1$ //$NON-NLS-2$
+		File dir = new File(mcorpus.getProjectDirectory(), "analec/"); //$NON-NLS-1$ //$NON-NLS-2$
 		dir.mkdir();
 		File fichierCorpus = new File(dir,mcorpus+".ec"); //$NON-NLS-1$
 		File fichierVueCorpus = new File(dir,mcorpus+".ecv"); //$NON-NLS-1$
Index: tmp/org.txm.analec.rcp/src/org/txm/analec/commands/SaveVue.java
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/analec/commands/SaveVue.java	(revision 1037)
+++ tmp/org.txm.analec.rcp/src/org/txm/analec/commands/SaveVue.java	(revision 1038)
@@ -34,7 +34,7 @@
 		MainCorpus mainCorpus = ((org.txm.searchengine.cqp.corpus.Corpus)first).getMainCorpus();
 		corpus = AnalecCorpora.getCorpus(mainCorpus);
 
-		File binaryCorpusDirectory = mainCorpus.getBaseDirectory();
+		File binaryCorpusDirectory = mainCorpus.getProjectDirectory();
 		File fichierVue = new File(binaryCorpusDirectory, "/analec/"+mainCorpus.getName()+".ecv"); //$NON-NLS-1$ //$NON-NLS-2$
 		System.out.println(Messages.SaveVue_3+corpus+Messages.SaveVue_4+fichierVue);
 
Index: tmp/org.txm.analec.rcp/src/org/txm/analec/commands/SaveStructure.java
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/analec/commands/SaveStructure.java	(revision 1037)
+++ tmp/org.txm.analec.rcp/src/org/txm/analec/commands/SaveStructure.java	(revision 1038)
@@ -37,7 +37,7 @@
 	public static boolean save(MainCorpus mainCorpus) {
 		Corpus corpus = AnalecCorpora.getCorpus(mainCorpus);
 
-		File binaryCorpusDirectory = mainCorpus.getBaseDirectory();
+		File binaryCorpusDirectory = mainCorpus.getProjectDirectory();
 		File fichierStructure = new File(binaryCorpusDirectory, "/analec/"+mainCorpus.getName()+".ecs"); //$NON-NLS-1$ //$NON-NLS-2$
 		System.out.println(Messages.SaveStructure_3+corpus+Messages.SaveStructure_4+fichierStructure);
 
Index: tmp/org.txm.analec.rcp/src/org/txm/analec/commands/SaveCorpus.java
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/analec/commands/SaveCorpus.java	(revision 1037)
+++ tmp/org.txm.analec.rcp/src/org/txm/analec/commands/SaveCorpus.java	(revision 1038)
@@ -43,7 +43,7 @@
 	}
 
 	public static boolean save(final MainCorpus mainCorpus, ExecutionEvent event) {
-		File binaryCorpusDirectory = mainCorpus.getBaseDirectory();
+		File binaryCorpusDirectory = mainCorpus.getProjectDirectory();
 		File fichierCorpus = new File(binaryCorpusDirectory, "/analec/"+mainCorpus.getName()+".ec"); //$NON-NLS-1$ //$NON-NLS-2$
 		Corpus corpus = AnalecCorpora.getCorpus(mainCorpus);
 		System.out.println(Messages.SaveCorpus_3+corpus+Messages.SaveCorpus_1+fichierCorpus);
Index: tmp/org.txm.analec.rcp/src/org/txm/analec/commands/ImportTEICorpus.java
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/analec/commands/ImportTEICorpus.java	(revision 1037)
+++ tmp/org.txm.analec.rcp/src/org/txm/analec/commands/ImportTEICorpus.java	(revision 1038)
@@ -125,7 +125,7 @@
 				protected IStatus run(IProgressMonitor monitor) {
 					try {
 					MainCorpus corpus = CorpusManager.getCorpusManager().getCorpus(name.toUpperCase());
-					File analecDirectory = new File(corpus.getBaseDirectory(), "analec"); //$NON-NLS-1$
+					File analecDirectory = new File(corpus.getProjectDirectory(), "analec"); //$NON-NLS-1$
 					analecDirectory.mkdirs();
 					Corpus analecCorpus = AnalecCorpora.getCorpus(corpus);
 					analecCorpus.clearAll(); // remove all : annotations, structure
Index: tmp/org.txm.analec.rcp/src/org/txm/analec/export/AnalecAnnotationTEIExporter.java
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/analec/export/AnalecAnnotationTEIExporter.java	(revision 1037)
+++ tmp/org.txm.analec.rcp/src/org/txm/analec/export/AnalecAnnotationTEIExporter.java	(revision 1038)
@@ -174,7 +174,7 @@
 		System.out.println("Processing text: "+textid);
 
 		// 1) copy the XML-TXM file
-		File xmltxmFileFromBin = new File(mainCorpus.getBaseDirectory(), "txm/"+mainCorpus.getName().toUpperCase()+"/"+textid+".xml");
+		File xmltxmFileFromBin = new File(mainCorpus.getProjectDirectory(), "txm/"+mainCorpus.getName().toUpperCase()+"/"+textid+".xml");
 		if (!xmltxmFileFromBin.exists()) {
 			System.out.println("Error: could not find the XML-TXM reference file: "+xmltxmFileFromBin);
 			return false;
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/macro/prototypes/ApplyXQueryMacro.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/macro/prototypes/ApplyXQueryMacro.groovy	(revision 1037)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/macro/prototypes/ApplyXQueryMacro.groovy	(revision 1038)
@@ -45,7 +45,7 @@
 }
 
 MainCorpus mainCorpus = ((Corpus)corpusViewSelection).getMainCorpus();
-File binDir = mainCorpus.getBaseDirectory();
+File binDir = mainCorpus.getProjectDirectory();
 File txmDir = new File(binDir, "txm/"+mainCorpus.getName());
 
 if (!txmDir.exists()) {
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/macro/prototypes/cqp/SaveSubCorpusMacro.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/macro/prototypes/cqp/SaveSubCorpusMacro.groovy	(revision 1037)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/macro/prototypes/cqp/SaveSubCorpusMacro.groovy	(revision 1038)
@@ -32,7 +32,7 @@
 
 MainCorpus maincorpus = corpusViewSelection.getMainCorpus()
 File outputFile = new File(outputDir, corpusViewSelection.getQualifiedCqpId())
-File regFile = new File(maincorpus.getBaseDirectory(), "registry")
+File regFile = new File(maincorpus.getProjectDirectory(), "registry")
 if (!regFile.exists()) {
 	println "Could not find corpus registry file $regFile"
 	return
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/macro/prototypes/edition/XTZEditionBuilderMacro.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/macro/prototypes/edition/XTZEditionBuilderMacro.groovy	(revision 1037)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/macro/prototypes/edition/XTZEditionBuilderMacro.groovy	(revision 1038)
@@ -39,13 +39,13 @@
 if (!ParametersDialog.open(this)) return;
 // END OF PARAMETERS
 
-File binDirectory = corpus.getBase().getBaseDirectory()
+File binDirectory = corpus.getProject().getProjectDirectory()
 File txmDirectory = new File(binDirectory, "txm/"+corpus.getName().toUpperCase())
 
 File HTMLDirectory = new File(binDirectory, "HTML")
 File newEditionDirectory = new File(HTMLDirectory, corpus.getName().toUpperCase()+"/"+editionName)
 
-BaseParameters parameters = corpus.getBase().params
+BaseParameters parameters = corpus.getProject().params
 
 if (!HTMLDirectory.exists()) {
 	println "ERROR: can't find this corpus 'HTML' directory: $HTMLDirectory. Aborting"
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/macro/edition/EditionUpdaterMacro.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/macro/edition/EditionUpdaterMacro.groovy	(revision 1037)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/macro/edition/EditionUpdaterMacro.groovy	(revision 1038)
@@ -65,9 +65,9 @@
 if (args.size() == 0) { // corpus informations
 	defaultEditionName = corpus.getDefaultEdition()
 	corpusName = corpus.getName()
-	binDirectory = corpus.getBase().getBaseDirectory()
+	binDirectory = corpus.getProject().getProjectDirectory()
 	txmDirectory = new File(binDirectory, "txm/"+corpusName.toUpperCase())
-	params = corpus.getBase().params
+	params = corpus.getProject().params
 } else { // the "corpus" variable does not exists
 	defaultEditionName = "default"
 	binDirectory = args["binDirectory"]
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/macro/edition/FacsEditionBuilderMacro.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/macro/edition/FacsEditionBuilderMacro.groovy	(revision 1037)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/macro/edition/FacsEditionBuilderMacro.groovy	(revision 1038)
@@ -58,12 +58,12 @@
 }
 
 if (args.size() == 0) { // the "corpus" variable exists
-	binDirectory = corpus.getBase().getBaseDirectory()
+	binDirectory = corpus.getProject().getProjectDirectory()
 	txmDirectory = new File(binDirectory, "txm/"+corpus.getName().toUpperCase())
 	tokenizedDirectory = new File(binDirectory, "tokenized")
 	HTMLDirectory = new File(binDirectory, "HTML")
 	newEditionDirectory = new File(HTMLDirectory, corpus.getName().toUpperCase()+"/"+editionName)
-	params = corpus.getBase().params
+	params = corpus.getProject().params
 } else { // the "corpus" variable does not exist, get informations from the "args" map
 	binDirectory = args["binDirectory"]
 	txmDirectory = args["txmDirectory"]
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/prototypes/CQPBenchmark.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/prototypes/CQPBenchmark.groovy	(revision 1037)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/prototypes/CQPBenchmark.groovy	(revision 1038)
@@ -40,7 +40,7 @@
 import org.txm.utils.DeleteDir;
 import org.txm.*;
 import org.txm.lexicaltable.core.functions.LexicalTable
-import org.txm.objects.Base;
+import org.txm.objects.Project;
 import org.txm.ca.core.functions.CA
 import org.txm.ahc.core.functions.AHC
 import org.txm.concordance.core.functions.Concordance
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/bvh/bvhLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/bvh/bvhLoader.groovy	(revision 1037)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/bvh/bvhLoader.groovy	(revision 1038)
@@ -67,7 +67,7 @@
 		encoding= "UTF-8";// not used by bvh
 		model="rgaqcj"; //not used by bvh
 		basename="bvh"
-		Toolbox.workspace = new Workspace(new File(userDir,"TXM/workspaces/default.xml"));
+		Toolbox.workspace = new Workspace(new File(userDir,"TXM/corpora/default.xml"));
 		Toolbox.setParam(Toolbox.INSTALL_DIR,new File(userDir,"TXM"));
 		Toolbox.setParam(Toolbox.METADATA_ENCODING, "UTF-8");
 		Toolbox.setParam(Toolbox.METADATA_COLSEPARATOR, ",");
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/graal/qgraalLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/graal/qgraalLoader.groovy	(revision 1037)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/graal/qgraalLoader.groovy	(revision 1038)
@@ -50,7 +50,7 @@
 //	if(!org.txm.Toolbox.isInitialized())
 //	{
 //		rootDir = userDir+"/xml/qgraal/";
-//		org.txm.Toolbox.workspace = new Workspace(new File(userDir,"TXM/workspaces/default.xml"));
+//		org.txm.Toolbox.workspace = new Workspace(new File(userDir,"TXM/corpora/default.xml"));
 //		org.txm.Toolbox.setParam(org.txm.Toolbox.INSTALL_DIR,new File(userDir,"TXM"));
 //	}
 //}
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/hyperprince/pager.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/hyperprince/pager.groovy	(revision 1037)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/hyperprince/pager.groovy	(revision 1038)
@@ -412,7 +412,7 @@
 		println "DEV MODE";//exception means we debug
 		if(!org.txm.Toolbox.isInitialized()){
 			rootDir = "D:\\Travail_Sev\\Projets\\Corpus\\TXM\\hyperprince"; //userDir+"/xml/hyperprince/";//"D:\\Travail_Sev\\Projets\\Corpus\\TXM\\hyperprince";
-			org.txm.Toolbox.workspace = new Workspace(new File(userDir,"TXM/workspaces/default.xml"));
+			org.txm.Toolbox.workspace = new Workspace(new File(userDir,"TXM/corpora/default.xml"));
 			org.txm.Toolbox.setParam(org.txm.Toolbox.INSTALL_DIR,new File(userDir,"TXM"));
 		}
 		
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/hyperprince/hyperprinceLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/hyperprince/hyperprinceLoader.groovy	(revision 1037)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/hyperprince/hyperprinceLoader.groovy	(revision 1038)
@@ -57,7 +57,7 @@
 		lang="fr";
 		encoding= "UTF-8";
 		model="rgaqcj";
-		Toolbox.workspace = new Workspace(new File(userDir,"TXM/workspaces/default.xml"));
+		Toolbox.workspace = new Workspace(new File(userDir,"TXM/corpora/default.xml"));
 		Toolbox.setParam(Toolbox.INSTALL_DIR,new File(userDir,"TXM"));
 		Toolbox.setParam(Toolbox.USER_TXM_HOME, new File(System.getProperty("user.home"),"TXM"));
 	}
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/lasla/laslaLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/lasla/laslaLoader.groovy	(revision 1037)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/lasla/laslaLoader.groovy	(revision 1038)
@@ -63,7 +63,7 @@
 		lang="fr";
 		encoding= "ISO-8859-1";
 		model="rgaqcj";//not used
-		Toolbox.workspace = new Workspace(new File(userDir,"TXM/workspaces/default.xml"));
+		Toolbox.workspace = new Workspace(new File(userDir,"TXM/corpora/default.xml"));
 		Toolbox.setParam(Toolbox.INSTALL_DIR,"/usr/lib/TXM");
 		Toolbox.setParam(Toolbox.METADATA_ENCODING, "UTF-8");
 		Toolbox.setParam(Toolbox.METADATA_COLSEPARATOR, ",");
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/perrault/perraultLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/perrault/perraultLoader.groovy	(revision 1037)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/perrault/perraultLoader.groovy	(revision 1038)
@@ -61,7 +61,7 @@
 		lang="fr";
 		encoding= "UTF-8"; // not used
 		model="fr";
-		Toolbox.workspace = new Workspace(new File(userDir,"TXM/workspaces/default.xml"));
+		Toolbox.workspace = new Workspace(new File(userDir,"TXM/corpora/default.xml"));
 		Toolbox.setParam(Toolbox.INSTALL_DIR,new File(userDir,"txminstall"));
 		Toolbox.setParam(Toolbox.TREETAGGER_INSTALL_PATH,new File(userDir,"txminstall/treetagger"));
 		Toolbox.setParam(Toolbox.TREETAGGER_MODELS_PATH,new File(userDir,"txminstall/treetagger/models"));
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/corptef/corptefLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/corptef/corptefLoader.groovy	(revision 1037)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/corptef/corptefLoader.groovy	(revision 1038)
@@ -61,7 +61,7 @@
 		lang="fr";
 		encoding= "UTF-8";
 		model="rgaqcj";
-		Toolbox.workspace = new Workspace(new File(userDir,"TXM/workspaces/default.xml"));
+		Toolbox.workspace = new Workspace(new File(userDir,"TXM/corpora/default.xml"));
 		Toolbox.setParam(Toolbox.INSTALL_DIR,new File(userDir,"txminstall"));
 		Toolbox.setParam(Toolbox.TREETAGGER_INSTALL_PATH,new File(userDir,"txminstall/treetagger"));
 		Toolbox.setParam(Toolbox.TREETAGGER_MODELS_PATH,new File(userDir,"txminstall/treetagger/models"));
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/RGAQCJ/rgaqcjLoader.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/RGAQCJ/rgaqcjLoader.groovy	(revision 1037)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/RGAQCJ/rgaqcjLoader.groovy	(revision 1038)
@@ -59,7 +59,7 @@
 		lang="fr";
 		encoding= "UTF-8";
 		model="rgaqcj";// not used
-		Toolbox.workspace = new Workspace(new File(userDir,"TXM/workspaces/default.xml"));
+		Toolbox.workspace = new Workspace(new File(userDir,"TXM/corpora/default.xml"));
 		Toolbox.setParam(Toolbox.INSTALL_DIR,new File(userDir,"txminstall"));
 		Toolbox.setParam(Toolbox.USER_TXM_HOME, new File(System.getProperty("user.home"),"TXM"));
 	}
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/tmx/Tmx2XmlFiles.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/tmx/Tmx2XmlFiles.groovy	(revision 1037)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/tmx/Tmx2XmlFiles.groovy	(revision 1038)
@@ -39,7 +39,7 @@
 import javax.xml.transform.stream.StreamResult;
 import javax.xml.stream.*;
 
-import org.txm.objects.Base;
+import org.txm.objects.Project;
 import org.w3c.dom.Document;
 import org.w3c.dom.Element;
 import org.w3c.dom.NodeList;
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/filters/Tokeniser/TokenizerXml.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/filters/Tokeniser/TokenizerXml.groovy	(revision 1037)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/filters/Tokeniser/TokenizerXml.groovy	(revision 1038)
@@ -54,7 +54,7 @@
 import javax.xml.transform.dom.DOMSource;
 import javax.xml.transform.stream.StreamResult;
 
-import org.txm.objects.Base;
+import org.txm.objects.Project;
 import org.w3c.dom.Document;
 import org.w3c.dom.Element;
 import org.w3c.dom.NodeList;
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/filters/Tokeniser/OldSimpleTokenizerXml.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/filters/Tokeniser/OldSimpleTokenizerXml.groovy	(revision 1037)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/filters/Tokeniser/OldSimpleTokenizerXml.groovy	(revision 1038)
@@ -55,7 +55,7 @@
 import javax.xml.transform.stream.StreamResult;
 
 import org.txm.scripts.importer.graal.PersonalNamespaceContext;
-import org.txm.objects.Base;
+import org.txm.objects.Project;
 import org.w3c.dom.Document;
 import org.w3c.dom.Element;
 import org.w3c.dom.NodeList;
Index: tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/handlers/OpenEdition.java
===================================================================
--- tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/handlers/OpenEdition.java	(revision 1037)
+++ tmp/org.txm.edition.rcp/src/org/txm/edition/rcp/handlers/OpenEdition.java	(revision 1038)
@@ -119,7 +119,7 @@
 		return null;
 	}
 	public static String[] getDefaultEditions(Corpus c) {
-		BaseParameters params = c.getBase().getBaseParameters();
+		BaseParameters params = c.getProject().getProjectParameters();
 		Element editionsElement = params.getEditionsElement(params.getCorpusElement());
 		return editionsElement.getAttribute("default").split(","); //$NON-NLS-1$ //$NON-NLS-2$
 	}
Index: tmp/org.txm.properties.core/src/org/txm/properties/core/functions/Properties.java
===================================================================
--- tmp/org.txm.properties.core/src/org/txm/properties/core/functions/Properties.java	(revision 1037)
+++ tmp/org.txm.properties.core/src/org/txm/properties/core/functions/Properties.java	(revision 1038)
@@ -44,7 +44,7 @@
 import org.txm.core.results.Parameter;
 import org.txm.core.results.TXMParameters;
 import org.txm.core.results.TXMResult;
-import org.txm.objects.Base;
+import org.txm.objects.Project;
 import org.txm.properties.core.messages.PropertiesCoreMessages;
 import org.txm.properties.core.preferences.PropertiesPreferences;
 import org.txm.searchengine.cqp.AbstractCqiClient;
@@ -461,8 +461,8 @@
 	 *
 	 * @return the base
 	 */
-	public Base getBase() {
-		return corpus.getBase();
+	public Project getBase() {
+		return corpus.getProject();
 	}
 
 	/**
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/RemoveProject.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/RemoveProject.java	(revision 1037)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/RemoveProject.java	(revision 1038)
@@ -61,7 +61,7 @@
 		}
 
 		if (p != null)
-			p.getWorkspace().removeProject(p.getName());
+			p.delete();
 
 		BasesView.refresh();
 		return null;
